Join our community of builders on

Telegram!Telegram

Notification routes implementation

Outdated Version

You're viewing an older version (v1.3.x). The latest documentation is available for the current version. Click here to visit latest version.

Note: OpenAPI documentation for these endpoints can be found in the openapi.rs file

Lists all notifications with pagination support.

GET
/api/v1/notifications
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number for pagination (starts at 1)

Range0 <= value
per_page?integer

Number of items per page (default: 10)

Range0 <= value

Response Body

curl -X GET "https://loading/api/v1/notifications?page=0&per_page=0"
{
  "data": [
    {
      "has_signing_key": true,
      "id": "string",
      "type": "webhook",
      "url": "string"
    }
  ],
  "error": "string",
  "metadata": {
    "logs": [
      {
        "level": "log",
        "message": "string"
      }
    ],
    "traces": [
      null
    ]
  },
  "pagination": {
    "current_page": 0,
    "per_page": 0,
    "total_items": 0
  },
  "success": true
}
{
  "data": null,
  "message": "Bad Request",
  "success": false
}
{
  "data": null,
  "message": "Unauthorized",
  "success": false
}
{
  "data": null,
  "message": "Internal Server Error",
  "success": false
}